ntopng - [LuaEngine.cpp:2619] ERROR: Unable to enable capabilities



  • I am currently running:

    ntopng | net | 0.8.13_3 on pfSense 2.4.4-RELEASE-p3 (amd64) | built on Wed May 15 18:53:44 EDT 2019 | FreeBSD 11.2-RELEASE-p10

    I keep seeing these messages on my "Last Log Trace" messages on ntopng:

    [LuaEngine.cpp:2619] ERROR: Unable to enable capabilities

    I did some research, and it looks like this has been an issue for a couple of years, see post ntop error - [LuaEngine.cpp:2619] ERROR: Unable to enable capabilities #2134 , where the last comment was "This seems like a packaging issue, please ask this to the pfsense guys since we do not officially support pfsense and we are not in control of the package on that platform."

    Any idea what is causing this ERROR message on ntopng and how to get rid of it?


  • LAYER 8

    they give an hint : Please ask the package maintainer if ntopng has been compiled with the libcap (capabilities, not libpcap) library (HAVE_LIBCAP in config.status should tell you this).

    i don't see any reference to libcap here ->
    https://github.com/pfsense/FreeBSD-ports/tree/devel/net/ntopng

    ask madpilot i suppose or ignore the error message :)


Log in to reply